Bug 1361593 - Build python-twisted for epel7
Summary: Build python-twisted for epel7
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-twisted
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 13:11 UTC by Pierre-YvesChibon
Modified: 2018-07-08 18:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-08 18:27:00 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1363962 unspecified CLOSED python-twisted obsoletes packages from rhel7 2020-10-14 00:28:05 UTC

Internal Links: 1363962

Description Pierre-YvesChibon 2016-07-29 13:11:34 UTC
Looking at bodhi: https://bodhi.fedoraproject.org/updates/?packages=python-twisted
and Koji: http://koji.fedoraproject.org/koji/packageinfo?packageID=3652

It seems python-twisted has never been built for epel7, while in pkgdb (https://admin.fedoraproject.org/pkgdb/package/rpms/python-twisted/) the branch is still approved.

Looking at RHEL:
$ python is_it_in_rhel.py python-twisted
python-twisted is not in RHEL 5
python-twisted is in RHEL 6;   version: 8.2.0;   arch: noarch
python-twisted is not in RHEL 7

It seems nothing prevents the package from being built.

So is there a technical reason/missing deps preventing python-twisted from being built in epel7?


Thanks

Comment 1 Fedora Update System 2016-07-29 15:31:44 UTC
python-characteristic-14.3.0-5.el7 python-service-identity-14.0.0-5.el7 python-twisted-16.2.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25d4dc32e8

Comment 2 Fedora Update System 2016-07-30 20:19:27 UTC
python-characteristic-14.3.0-5.el7, python-service-identity-14.0.0-5.el7, python-twisted-16.2.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25d4dc32e8

Comment 3 Carl George 2016-08-04 21:13:47 UTC
This update obsoletes base packages, which is against policy.

$ repoquery --obsoletes python2-twisted | grep -e core -e web -e words
python-twisted-core < 14
python-twisted-core-doc < 14
python-twisted-web < 14
python-twisted-web2 < 14
python-twisted-words < 14

$ python is_it_in_rhel.py python-twisted-core --release 7
python-twisted-core is in RHEL 7;   version: 12.2.0;   archs: ppc64, ppc64le, x86_64
$ python is_it_in_rhel.py python-twisted-web --release 7
python-twisted-web is in RHEL 7;   version: 12.1.0;   archs: ppc64, ppc64le, x86_64
$ python is_it_in_rhel.py python-twisted-words --release 7
python-twisted-words is in RHEL 7;   version: 12.2.0;   archs: ppc64, ppc64le, x86_64

Comment 4 Robert-André Mauchin 🐧 2018-07-08 18:27:00 UTC
python-twisted-core in RHEL prevents any update on that front.


Note You need to log in before you can comment on or make changes to this bug.